import request from '@/utils/request'

// 查询订单详情列表
export function listStoreOrderItem(query) {
  return request({
    url: '/store/storeOrderItem/list',
    method: 'get',
    params: query
  })
}

// 查询订单详情详细
export function getStoreOrderItem(itemId) {
  return request({
    url: '/store/storeOrderItem/' + itemId,
    method: 'get'
  })
}

// 新增订单详情
export function addStoreOrderItem(data) {
  return request({
    url: '/store/storeOrderItem',
    method: 'post',
    data: data
  })
}

// 修改订单详情
export function updateStoreOrderItem(data) {
  return request({
    url: '/store/storeOrderItem',
    method: 'put',
    data: data
  })
}

// 删除订单详情
export function delStoreOrderItem(itemId) {
  return request({
    url: '/store/storeOrderItem/' + itemId,
    method: 'delete'
  })
}

// 导出订单详情
export function exportStoreOrderItem(query) {
  return request({
    url: '/store/storeOrderItem/export',
    method: 'get',
    params: query
  })
}
